%  ExecuteMeFirst -- initialize path to include SimuWave 
%

disp('Welcome to SimuWave v 1');

Friend = computer;
isPC = 0;
if strcmp(Friend,'MAC2'),
	% insert the path to the directoty which contains SimuWave
	SIMUWAVEPATH = '';
	if isempty(SIMUWAVEPATH)
		disp('To set the SimuWave path on the Macintosh,')
		disp('edit the ''ExecuteMeFirst.m'' m-file at line 10')
		disp('and insert manually the path of your SimuWave directory')
		disp('in between the quotes. After this file is executed')
		disp('save the Matlab path list.')
	end
	PATHNAMESEPARATOR = ':';
	MATLABPATHSEPARATOR = ';';
elseif strcmp(Friend,'DEC_RISC') | strcmp(Friend,'SUN4')   | ...
	strcmp(Friend,'SOL2')     | strcmp(Friend,'SGI')    | ...
	strcmp(Friend,'LNX86')    | strcmp(Friend,'HP700')  | ...
	strcmp(Friend,'SGI64')    ,
	SIMUWAVEPATH = [pwd '/SimuWave/'];
	PATHNAMESEPARATOR = '/';
	MATLABPATHSEPARATOR = ':';
elseif strcmp(Friend(1:2),'PC');
	SIMUWAVEPATH = cd;  
	PATHNAMESEPARATOR = '\';
	MATLABPATHSEPARATOR = ';';
	isPC = 1;
else
	disp('I don*t recognize this computer; ')
	disp('Pathnames not set; solution: edit WavePath.m')
end
%
p = path;
pref = [MATLABPATHSEPARATOR SIMUWAVEPATH];
post = PATHNAMESEPARATOR;
p = [p pref];
if isPC
	pref = [pref PATHNAMESEPARATOR];
	post = [];
end

p = [p pref 'Doc'      post];
p = [p pref 'Filters'          post];
p = [p pref 'Filters' PATHNAMESEPARATOR 'Symlets'   post];
p = [p pref 'Filters' PATHNAMESEPARATOR 'Daubechies'   post];
p = [p pref 'Examples'          post];


path(p);
disp('Pathnames Successfully Set');
clear p pref post isPC
disp('Don''t forget to save your path');
open_system('Simuwave.mdl');
