function g = sf2wf(h)

% g is the wavelet (hi pass) filter related to the 
% scaling filter (low pass) filter h.

% sign: first coeff of g is equal to last coeff of h
g = -(-1).^[1:length(h)].*fliplr(h);
